# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.qpid.proton.ProtonUnsupportedOperationException
Modifier and Type
Constant Field
Value
`public static final boolean`
`skipped`
`true`

org.apache.qpid.proton.codec.EncodingCodes
Modifier and Type
Constant Field
Value
`public static final byte`
`ARRAY32`
`0xf0`
`public static final byte`
`ARRAY8`
`0xe0`
`public static final byte`
`BOOLEAN`
`0x56`
`public static final byte`
`BOOLEAN_FALSE`
`0x42`
`public static final byte`
`BOOLEAN_TRUE`
`0x41`
`public static final byte`
`BYTE`
`0x51`
`public static final byte`
`CHAR`
`0x73`
`public static final byte`
`DECIMAL128`
`0x94`
`public static final byte`
`DECIMAL32`
`0x74`
`public static final byte`
`DECIMAL64`
`0x84`
`public static final byte`
`DESCRIBED_TYPE_INDICATOR`
`0x0`
`public static final byte`
`DOUBLE`
`0x82`
`public static final byte`
`FLOAT`
`0x72`
`public static final byte`
`INT`
`0x71`
`public static final byte`
`LIST0`
`0x45`
`public static final byte`
`LIST32`
`0xd0`
`public static final byte`
`LIST8`
`0xc0`
`public static final byte`
`LONG`
`0x81`
`public static final byte`
`MAP32`
`0xd1`
`public static final byte`
`MAP8`
`0xc1`
`public static final byte`
`NULL`
`0x40`
`public static final byte`
`SHORT`
`0x61`
`public static final byte`
`SMALLINT`
`0x54`
`public static final byte`
`SMALLLONG`
`0x55`
`public static final byte`
`SMALLUINT`
`0x52`
`public static final byte`
`SMALLULONG`
`0x53`
`public static final byte`
`STR32`
`0xb1`
`public static final byte`
`STR8`
`0xa1`
`public static final byte`
`SYM32`
`0xb3`
`public static final byte`
`SYM8`
`0xa3`
`public static final byte`
`TIMESTAMP`
`0x83`
`public static final byte`
`UBYTE`
`0x50`
`public static final byte`
`UINT`
`0x70`
`public static final byte`
`UINT0`
`0x43`
`public static final byte`
`ULONG`
`0x80`
`public static final byte`
`ULONG0`
`0x44`
`public static final byte`
`USHORT`
`0x60`
`public static final byte`
`UUID`
`0x98`
`public static final byte`
`VBIN32`
`0xb0`
`public static final byte`
`VBIN8`
`0xa0`

org.apache.qpid.proton.engine.Transport
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_FRAME_SIZE`
`-1`
`public static final int`
`END_OF_STREAM`
`-1`
`public static final int`
`MIN_MAX_FRAME_SIZE`
`512`
`public static final int`
`SESSION_WINDOW`
`16384`
`public static final int`
`TRACE_DRV`
`4`
`public static final int`
`TRACE_FRM`
`2`
`public static final int`
`TRACE_OFF`
`0`
`public static final int`
`TRACE_RAW`
`1`

org.apache.qpid.proton.engine.impl.ConnectionImpl
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_CHANNELS`
`65535`
org.apache.qpid.proton.engine.impl.DeliveryImpl
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MESSAGE_FORMAT`
`0`
org.apache.qpid.proton.engine.impl.FrameWriterBuffer
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_CAPACITY`
`1024`
org.apache.qpid.proton.engine.impl.SaslImpl
Modifier and Type
Constant Field
Value
`public static final byte`
`SASL_FRAME_TYPE`
`0x1`

org.apache.qpid.proton.message.Message
Modifier and Type
Constant Field
Value
`public static final short`
`DEFAULT_PRIORITY`
`4`

org.apache.qpid.proton.reactor.impl.AcceptorImpl
Modifier and Type
Constant Field
Value
`protected static final String`
`CONNECTION_ACCEPTOR_KEY`
`"pn_reactor_connection_acceptor"`
org.apache.qpid.proton.reactor.impl.ReactorImpl
Modifier and Type
Constant Field
Value
`protected static final String`
`CONNECTION_PEER_ADDRESS_KEY`
`"pn_reactor_connection_peer_address"`